Help intalling apt please

Discussion in 'Installation/Configuration' started by samfraser, Jan 16, 2006.

  1. samfraser

    samfraser New Member

    I'm trying to follow the steps to setting up a webserver for Fedora 4, I get this error when I try to instal apt.

    rpm -ivh http://ftp.freshrpms.net/pub/fedora/linux/extras/4/i386/apt-0.5.15cnc7-6.fc4.i386.rpm
    Retrieving http://ftp.freshrpms.net/pub/fedora/linux/extras/4/i386/apt-0.5.15cnc7-6.fc4.i386.rpm
    error: Failed dependencies:
    librpm-4.4.so is needed by apt-0.5.15cnc7-6.fc4.i386
    librpmdb-4.4.so is needed by apt-0.5.15cnc7-6.fc4.i386
    librpmio-4.4.so is needed by apt-0.5.15cnc7-6.fc4.i386
    libsqlite3.so.0 is needed by apt-0.5.15cnc7-6.fc4.i386
     
  2. falko

    falko Super Moderator

    Is your Fedora Core 4 a 64-bit or a 32-bit system? The tutorial was written for 32-bit systems.
     
  3. samfraser

    samfraser New Member

    Yes it's 64bit, are there no tutorials available for 64bit processors?
     
  4. falko

    falko Super Moderator

    No, I did not do the tutorial on a 64-bit system. However, instead of apt, you can use yum all the time, Fedora's built-in package manager.
    The syntax is the same as with apt:
    Code:
    yum install <package_name>
     

Share This Page